<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">

<head>
  <title>global</title>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta http-equiv="Content-Style-Type" content="text/css" />
  <link rel="stylesheet" type="text/css" href="../common/doxygen.css" />
  <link rel="stylesheet" media="screen" type="text/css" title="KDE Colors" href="../common/kde.css" />
</head>
<body>
<div id="container">
<div id="header">
  <div id="header_top">
    <div>
      <div>
        <img alt ="" src="../common/top-kde.jpg"/>
        KDE 4.2 PyKDE API Reference
      </div>
    </div>
  </div>
  <div id="header_bottom">
    <div id="location">
      <ul>
        <li>KDE's Python API</li>
      </ul>
    </div>

    <div id="menu">
      <ul>
        <li><a href="../modules.html">Overview</a></li>
<li><a href="http://techbase.kde.org/Development/Languages/Python">PyKDE Home</a></li>
<li><a href="http://kde.org/family/">Sitemap</a></li>
<li><a href="http://kde.org/contact/">Contact Us</a></li>
</ul>
    </div>
  </div>
</div>

<div id="body_wrapper">
<div id="body">
<div id="right">
<div class="content">
<div id="main">
<div class="clearer">&nbsp;</div>

<h1>global Namespace Reference</h1>
<code>from PyKDE4.kdeui import *</code>
<p>
<h2>Detailed Description</h2>

<h2>Class Index</h2>
<table width="95%" align="center" border="0" cellpadding="0" cellspacing="0">
<tbody><tr><td><a name="letter_3">&nbsp;&nbsp;3&nbsp;&nbsp;</a></td><td><a class="el" href="KGradientSelector.html">KGradientSelector</a>&nbsp;&nbsp;&nbsp;</td><td><a name="letter_R">&nbsp;&nbsp;R&nbsp;&nbsp;</a></td></tr>
<tr><td><a class="el" href="K3Icon.html">K3Icon</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KGuiItem.html">KGuiItem</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KRecentFilesAction.html">KRecentFilesAction</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a name="letter_A">&nbsp;&nbsp;A&nbsp;&nbsp;</a></td><td><a name="letter_H">&nbsp;&nbsp;H&nbsp;&nbsp;</a></td><td><a class="el" href="KReplace.html">KReplace</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KAboutApplicationDialog.html">KAboutApplicationDialog</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KHBox.html">KHBox</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KReplaceDialog.html">KReplaceDialog</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KAbstractWidgetJobTracker.html">KAbstractWidgetJobTracker</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KHelpMenu.html">KHelpMenu</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KRestrictedLine.html">KRestrictedLine</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KAcceleratorManager.html">KAcceleratorManager</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KHistoryComboBox.html">KHistoryComboBox</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KRichTextEdit.html">KRichTextEdit</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KAction.html">KAction</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KHueSaturationSelector.html">KHueSaturationSelector</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KRichTextWidget.html">KRichTextWidget</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KActionCategory.html">KActionCategory</a>&nbsp;&nbsp;&nbsp;</td><td><a name="letter_I">&nbsp;&nbsp;I&nbsp;&nbsp;</a></td><td><a class="el" href="KRockerGesture.html">KRockerGesture</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KActionCollection.html">KActionCollection</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KIcon.html">KIcon</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KRuler.html">KRuler</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KActionMenu.html">KActionMenu</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KIconCache.html">KIconCache</a>&nbsp;&nbsp;&nbsp;</td><td><a name="letter_S">&nbsp;&nbsp;S&nbsp;&nbsp;</a></td></tr>
<tr><td><a class="el" href="KActionSelector.html">KActionSelector</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KIconEffect.html">KIconEffect</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KSelectAction.html">KSelectAction</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KAnimatedButton.html">KAnimatedButton</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KIconLoader.html">KIconLoader</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KSelectionOwner.html">KSelectionOwner</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KApplication.html">KApplication</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KIconTheme.html">KIconTheme</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KSelectionWatcher.html">KSelectionWatcher</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KArrowButton.html">KArrowButton</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KIntNumInput.html">KIntNumInput</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KSelector.html">KSelector</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KAssistantDialog.html">KAssistantDialog</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KIntSpinBox.html">KIntSpinBox</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KSeparator.html">KSeparator</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a name="letter_B">&nbsp;&nbsp;B&nbsp;&nbsp;</a></td><td><a class="el" href="KIntValidator.html">KIntValidator</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KSessionManager.html">KSessionManager</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KBugReport.html">KBugReport</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KConfigSkeleton.ItemColor.html">ItemColor</a>&nbsp;(<a class="el" href="KConfigSkeleton.html">KConfigSkeleton</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KShapeGesture.html">KShapeGesture</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KButtonGroup.html">KButtonGroup</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KConfigSkeleton.ItemFont.html">ItemFont</a>&nbsp;(<a class="el" href="KConfigSkeleton.html">KConfigSkeleton</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KShortcut.html">KShortcut</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a name="letter_C">&nbsp;&nbsp;C&nbsp;&nbsp;</a></td><td><a name="letter_K">&nbsp;&nbsp;K&nbsp;&nbsp;</a></td><td><a class="el" href="KShortcutsDialog.html">KShortcutsDialog</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KCapacityBar.html">KCapacityBar</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KKeySequenceWidget.html">KKeySequenceWidget</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KShortcutsEditor.html">KShortcutsEditor</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KCategorizedSortFilterProxyModel.html">KCategorizedSortFilterProxyModel</a>&nbsp;&nbsp;&nbsp;</td><td><a name="letter_L">&nbsp;&nbsp;L&nbsp;&nbsp;</a></td><td><a class="el" href="KShortcutWidget.html">KShortcutWidget</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KCategorizedView.html">KCategorizedView</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KLanguageButton.html">KLanguageButton</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KSplashScreen.html">KSplashScreen</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KCategoryDrawer.html">KCategoryDrawer</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KLed.html">KLed</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KSqueezedTextLabel.html">KSqueezedTextLabel</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KCharSelect.html">KCharSelect</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KLineEdit.html">KLineEdit</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KStartupInfo.html">KStartupInfo</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KCModule.html">KCModule</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KListWidget.html">KListWidget</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KStartupInfoData.html">KStartupInfoData</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KCodecAction.html">KCodecAction</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KListWidgetSearchLine.html">KListWidgetSearchLine</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KStartupInfoId.html">KStartupInfoId</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KColorButton.html">KColorButton</a>&nbsp;&nbsp;&nbsp;</td><td><a name="letter_M">&nbsp;&nbsp;M&nbsp;&nbsp;</a></td><td><a class="el" href="KXMLGUIClient.StateChange.html">StateChange</a>&nbsp;(<a class="el" href="KXMLGUIClient.html">KXMLGUIClient</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KColorCells.html">KColorCells</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KMainWindow.html">KMainWindow</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KStatefulBrush.html">KStatefulBrush</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KColorCollection.html">KColorCollection</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KMenu.html">KMenu</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KStatusBar.html">KStatusBar</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KColorCombo.html">KColorCombo</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KMenuBar.html">KMenuBar</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KStatusBarJobTracker.html">KStatusBarJobTracker</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KColorDialog.html">KColorDialog</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KMessageBox.html">KMessageBox</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KStringListValidator.html">KStringListValidator</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KColorPatch.html">KColorPatch</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KMessageBoxMessageHandler.html">KMessageBoxMessageHandler</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KStyle.html">KStyle</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KColorScheme.html">KColorScheme</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KMimeTypeValidator.html">KMimeTypeValidator</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KSvgRenderer.html">KSvgRenderer</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KColorValueSelector.html">KColorValueSelector</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KGlobalSettings.KMouseSettings.html">KMouseSettings</a>&nbsp;(<a class="el" href="KGlobalSettings.html">KGlobalSettings</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KSystemTrayIcon.html">KSystemTrayIcon</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KComboBox.html">KComboBox</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KMultiTabBar.html">KMultiTabBar</a>&nbsp;&nbsp;&nbsp;</td><td><a name="letter_T">&nbsp;&nbsp;T&nbsp;&nbsp;</a></td></tr>
<tr><td><a class="el" href="KCompletion.html">KCompletion</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KMultiTabBarButton.html">KMultiTabBarButton</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KTabBar.html">KTabBar</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KCompletionBase.html">KCompletionBase</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KMultiTabBarTab.html">KMultiTabBarTab</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KTabWidget.html">KTabWidget</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KCompletionBox.html">KCompletionBox</a>&nbsp;&nbsp;&nbsp;</td><td><a name="letter_N">&nbsp;&nbsp;N&nbsp;&nbsp;</a></td><td><a class="el" href="KTextBrowser.html">KTextBrowser</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KConfigDialog.html">KConfigDialog</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="NET.html">NET</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KTextEdit.html">KTextEdit</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KConfigDialogManager.html">KConfigDialogManager</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="NETExtendedStrut.html">NETExtendedStrut</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KTextEditSpellInterface.html">KTextEditSpellInterface</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KConfigSkeleton.html">KConfigSkeleton</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="NETFullscreenMonitors.html">NETFullscreenMonitors</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KTimeZoneWidget.html">KTimeZoneWidget</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KCursor.html">KCursor</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="NETIcon.html">NETIcon</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KTipDatabase.html">KTipDatabase</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KEditListBox.CustomEditor.html">CustomEditor</a>&nbsp;(<a class="el" href="KEditListBox.html">KEditListBox</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="NETPoint.html">NETPoint</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KTipDialog.html">KTipDialog</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a name="letter_D">&nbsp;&nbsp;D&nbsp;&nbsp;</a></td><td><a class="el" href="NETRect.html">NETRect</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KTitleWidget.html">KTitleWidget</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KDatePicker.html">KDatePicker</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="NETRootInfo.html">NETRootInfo</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KToggleAction.html">KToggleAction</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KDateTable.html">KDateTable</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="NETSize.html">NETSize</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KToggleFullScreenAction.html">KToggleFullScreenAction</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KDateTimeWidget.html">KDateTimeWidget</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="NETStrut.html">NETStrut</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KToggleToolBarAction.html">KToggleToolBarAction</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KDateValidator.html">KDateValidator</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="NETWinInfo.html">NETWinInfo</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KToolBar.html">KToolBar</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KDateWidget.html">KDateWidget</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="NETWinInfo2.html">NETWinInfo2</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KToolBarLabelAction.html">KToolBarLabelAction</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KDialog.html">KDialog</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KNewPasswordDialog.html">KNewPasswordDialog</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KToolBarPopupAction.html">KToolBarPopupAction</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KDialogButtonBox.html">KDialogButtonBox</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KNotification.html">KNotification</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KToolBarSpacerAction.html">KToolBarSpacerAction</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KDialogJobUiDelegate.html">KDialogJobUiDelegate</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KNotificationRestrictions.html">KNotificationRestrictions</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KTreeWidgetSearchLine.html">KTreeWidgetSearchLine</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KDoubleNumInput.html">KDoubleNumInput</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KNumInput.html">KNumInput</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KTreeWidgetSearchLineWidget.html">KTreeWidgetSearchLineWidget</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KDoubleValidator.html">KDoubleValidator</a>&nbsp;&nbsp;&nbsp;</td><td><a name="letter_P">&nbsp;&nbsp;P&nbsp;&nbsp;</a></td><td><a name="letter_U">&nbsp;&nbsp;U&nbsp;&nbsp;</a></td></tr>
<tr><td><a name="letter_E">&nbsp;&nbsp;E&nbsp;&nbsp;</a></td><td><a class="el" href="KPageDialog.html">KPageDialog</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KUiServerJobTracker.html">KUiServerJobTracker</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KEditListBox.html">KEditListBox</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KPageModel.html">KPageModel</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KUndoStack.html">KUndoStack</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KEditToolBar.html">KEditToolBar</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KPageView.html">KPageView</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KUniqueApplication.html">KUniqueApplication</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KExtendableItemDelegate.html">KExtendableItemDelegate</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KPageWidget.html">KPageWidget</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KUrlLabel.html">KUrlLabel</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a name="letter_F">&nbsp;&nbsp;F&nbsp;&nbsp;</a></td><td><a class="el" href="KPageWidgetItem.html">KPageWidgetItem</a>&nbsp;&nbsp;&nbsp;</td><td><a name="letter_V">&nbsp;&nbsp;V&nbsp;&nbsp;</a></td></tr>
<tr><td><a class="el" href="KFadeWidgetEffect.html">KFadeWidgetEffect</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KPageWidgetModel.html">KPageWidgetModel</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KVBox.html">KVBox</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KFilterProxySearchLine.html">KFilterProxySearchLine</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KPassivePopup.html">KPassivePopup</a>&nbsp;&nbsp;&nbsp;</td><td><a name="letter_W">&nbsp;&nbsp;W&nbsp;&nbsp;</a></td></tr>
<tr><td><a class="el" href="KFind.html">KFind</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KPassivePopupMessageHandler.html">KPassivePopupMessageHandler</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KWidgetItemDelegate.html">KWidgetItemDelegate</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KFindDialog.html">KFindDialog</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KPasswordDialog.html">KPasswordDialog</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KWidgetJobTracker.html">KWidgetJobTracker</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KFloatValidator.html">KFloatValidator</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KPasteTextAction.html">KPasteTextAction</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KWindowInfo.html">KWindowInfo</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KFontAction.html">KFontAction</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KPixmapCache.html">KPixmapCache</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KWindowSystem.html">KWindowSystem</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KFontChooser.html">KFontChooser</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KPixmapProvider.html">KPixmapProvider</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KWordWrap.html">KWordWrap</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KFontComboBox.html">KFontComboBox</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KPixmapRegionSelectorDialog.html">KPixmapRegionSelectorDialog</a>&nbsp;&nbsp;&nbsp;</td><td><a name="letter_X">&nbsp;&nbsp;X&nbsp;&nbsp;</a></td></tr>
<tr><td><a class="el" href="KFontDialog.html">KFontDialog</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KPixmapRegionSelectorWidget.html">KPixmapRegionSelectorWidget</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KXMessages.html">KXMessages</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KFontRequester.html">KFontRequester</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KPlotAxis.html">KPlotAxis</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KXMLGUIBuilder.html">KXMLGUIBuilder</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KFontSizeAction.html">KFontSizeAction</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KPlotObject.html">KPlotObject</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KXMLGUIClient.html">KXMLGUIClient</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a name="letter_G">&nbsp;&nbsp;G&nbsp;&nbsp;</a></td><td><a class="el" href="KPlotPoint.html">KPlotPoint</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KXMLGUIFactory.html">KXMLGUIFactory</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KGlobalAccel.html">KGlobalAccel</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KPlotWidget.html">KPlotWidget</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KXmlGuiWindow.html">KXmlGuiWindow</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KGlobalSettings.html">KGlobalSettings</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KPopupFrame.html">KPopupFrame</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KXYSelector.html">KXYSelector</a>&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KGlobalShortcutInfo.html">KGlobalShortcutInfo</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KProgressDialog.html">KProgressDialog</a>&nbsp;&nbsp;&nbsp;</td><td></td></tr>
<tr><td><a class="el" href="KGlobalShortcutInfoPrivate.html">KGlobalShortcutInfoPrivate</a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KPushButton.html">KPushButton</a>&nbsp;&nbsp;&nbsp;</td><td></td></tr>
</table>
<table border="0" cellpadding="0" cellspacing="0"><tr><td colspan="2"><br><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="#obj179955020">KColorChooserMode</a>&nbsp;</td><td class="memItemRight" valign="bottom">{&nbsp;ChooserClassic, ChooserHue, ChooserSaturation, ChooserValue, ChooserRed, ChooserGreen, ChooserBlue&nbsp;}</td></tr>
<tr><td colspan="2"><br><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qpixmap.html">QPixmap</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj164541004">BarIcon</a> (<a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> name, int size=0, int state=KIconLoader.DefaultState, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstringlist.html">QStringList</a> overlays=QStringList())</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qicon.html">QIcon</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj188034956">BarIconSet</a> (<a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> name, int size=0)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qpixmap.html">QPixmap</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj163427212">DesktopIcon</a> (<a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> name, int size=0, int state=KIconLoader.DefaultState, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstringlist.html">QStringList</a> overlays=QStringList())</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qicon.html">QIcon</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj163429420">DesktopIconSet</a> (<a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> name, int size=0)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj189149004">IconSize</a> (KIconLoader.Group group)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qpixmap.html">QPixmap</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj185727276">MainBarIcon</a> (<a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> name, int size=0, int state=KIconLoader.DefaultState, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstringlist.html">QStringList</a> overlays=QStringList())</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qicon.html">QIcon</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj185727180">MainBarIconSet</a> (<a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> name, int size=0)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qpixmap.html">QPixmap</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj185726252">SmallIcon</a> (<a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> name, int size=0, int state=KIconLoader.DefaultState, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstringlist.html">QStringList</a> overlays=QStringList())</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qicon.html">QIcon</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj185727948">SmallIconSet</a> (<a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> name, int size=0)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qpixmap.html">QPixmap</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj185650348">UserIcon</a> (<a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> name, int state=KIconLoader.DefaultState, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstringlist.html">QStringList</a> overlays=QStringList())</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qicon.html">QIcon</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj189148076">UserIconSet</a> (<a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> name)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">long&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191372396">qHash</a> (int a0)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">long&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191373132">qHash</a> (<a href="../kdeui/KShapeGesture.html">KShapeGesture</a> key)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">long&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191132524">qHash</a> (<a href="../kdeui/KRockerGesture.html">KRockerGesture</a> key)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">long&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191482412">qHash</a> (int a0)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">long&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191483116">qHash</a> (<a href="../kdeui/KShortcut.html">KShortcut</a> key)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">long&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191481036">qHash</a> (<a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qkeysequence.html">QKeySequence</a> key)</td></tr>
</table>
<hr><h2>Enumeration Documentation</h2><a class="anchor" name="obj179955020"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname">KColorChooserMode</td>
</tr>
</table>
</div>
<div class="memdoc"><dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0"><tr><td valign="top"><em>ChooserClassic</em>&nbsp;=&nbsp;0x0000</td><td><tr><td valign="top"><em>ChooserHue</em>&nbsp;=&nbsp;0x0001</td><td><tr><td valign="top"><em>ChooserSaturation</em>&nbsp;=&nbsp;0x0002</td><td><tr><td valign="top"><em>ChooserValue</em>&nbsp;=&nbsp;0x0003</td><td><tr><td valign="top"><em>ChooserRed</em>&nbsp;=&nbsp;0x0004</td><td><tr><td valign="top"><em>ChooserGreen</em>&nbsp;=&nbsp;0x0005</td><td><tr><td valign="top"><em>ChooserBlue</em>&nbsp;=&nbsp;0x0006</td><td></table>
</dl>
</div></div><p><hr><h2>Function Documentation</h2><a class="anchor" name="obj164541004"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qpixmap.html">QPixmap</a> BarIcon</td>
<td>(</td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>name</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>size=0</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>state=KIconLoader.DefaultState</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstringlist.html">QStringList</a>&nbsp;</td>
<td class="paramname"><em>overlays=QStringList()</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>\relates KIconLoader
Load a toolbar icon.
</p></div></div><a class="anchor" name="obj188034956"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qicon.html">QIcon</a> BarIconSet</td>
<td>(</td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>name</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>size=0</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>\relates KIconLoader
Load a toolbar icon, and apply the necessary effects to get an IconSet.
<dl class="deprecated" compact><dt><b>Deprecated:</b></dt><dd> use KIcon(name) or KIcon(name,componentData.iconLoader()) instead
</dd></dl>
</p></div></div><a class="anchor" name="obj163427212"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qpixmap.html">QPixmap</a> DesktopIcon</td>
<td>(</td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>name</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>size=0</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>state=KIconLoader.DefaultState</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstringlist.html">QStringList</a>&nbsp;</td>
<td class="paramname"><em>overlays=QStringList()</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj163429420"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qicon.html">QIcon</a> DesktopIconSet</td>
<td>(</td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>name</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>size=0</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>\relates KIconLoader
Load a desktop icon, and apply the necessary effects to get an IconSet.
<dl class="deprecated" compact><dt><b>Deprecated:</b></dt><dd> use KIcon(name) or KIcon(name,componentData.iconLoader()) instead
</dd></dl>
</p></div></div><a class="anchor" name="obj189149004"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">int IconSize</td>
<td>(</td>
<td class="paramtype">KIconLoader.Group&nbsp;</td>
<td class="paramname"><em>group</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>\relates KIconLoader
Returns the current icon size for a specific group.
</p></div></div><a class="anchor" name="obj185727276"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qpixmap.html">QPixmap</a> MainBarIcon</td>
<td>(</td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>name</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>size=0</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>state=KIconLoader.DefaultState</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstringlist.html">QStringList</a>&nbsp;</td>
<td class="paramname"><em>overlays=QStringList()</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>\relates KIconLoader
Load a main toolbar icon.
</p></div></div><a class="anchor" name="obj185727180"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qicon.html">QIcon</a> MainBarIconSet</td>
<td>(</td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>name</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>size=0</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>\relates KIconLoader
Load a main toolbar icon, and apply the effects to get an IconSet.
<dl class="deprecated" compact><dt><b>Deprecated:</b></dt><dd> use KIcon(name) or KIcon(name,componentData.iconLoader()) instead
</dd></dl>
</p></div></div><a class="anchor" name="obj185726252"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qpixmap.html">QPixmap</a> SmallIcon</td>
<td>(</td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>name</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>size=0</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>state=KIconLoader.DefaultState</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstringlist.html">QStringList</a>&nbsp;</td>
<td class="paramname"><em>overlays=QStringList()</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>\relates KIconLoader
Load a small icon.
</p></div></div><a class="anchor" name="obj185727948"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qicon.html">QIcon</a> SmallIconSet</td>
<td>(</td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>name</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>size=0</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>\relates KIconLoader
Load a small icon, and apply the necessary effects to get an IconSet.
<dl class="deprecated" compact><dt><b>Deprecated:</b></dt><dd> use KIcon(name) or KIcon(name,componentData.iconLoader()) instead
</dd></dl>
</p></div></div><a class="anchor" name="obj185650348"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qpixmap.html">QPixmap</a> UserIcon</td>
<td>(</td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>name</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>state=KIconLoader.DefaultState</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstringlist.html">QStringList</a>&nbsp;</td>
<td class="paramname"><em>overlays=QStringList()</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>\relates KIconLoader
Load a user icon. User icons are searched in $appdir/pics.
</p></div></div><a class="anchor" name="obj189148076"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qicon.html">QIcon</a> UserIconSet</td>
<td>(</td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>name</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>\relates KIconLoader
Load a user icon, and apply the effects to get an IconSet.
<dl class="deprecated" compact><dt><b>Deprecated:</b></dt><dd> use KIcon(name) or KIcon(name,componentData.iconLoader()) instead
</dd></dl>
</p></div></div><a class="anchor" name="obj191372396"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">long qHash</td>
<td>(</td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>a0</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj191373132"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">long qHash</td>
<td>(</td>
<td class="paramtype"><a href="../kdeui/KShapeGesture.html">KShapeGesture</a>&nbsp;</td>
<td class="paramname"><em>key</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj191132524"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">long qHash</td>
<td>(</td>
<td class="paramtype"><a href="../kdeui/KRockerGesture.html">KRockerGesture</a>&nbsp;</td>
<td class="paramname"><em>key</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj191482412"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">long qHash</td>
<td>(</td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>a0</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj191483116"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">long qHash</td>
<td>(</td>
<td class="paramtype"><a href="../kdeui/KShortcut.html">KShortcut</a>&nbsp;</td>
<td class="paramname"><em>key</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj191481036"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">long qHash</td>
<td>(</td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qkeysequence.html">QKeySequence</a>&nbsp;</td>
<td class="paramname"><em>key</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div>
</div>
</div>
</div>

<div id="left">

<div class="menu_box">
<div class="nav_list">
<ul>
<li><a href="../allclasses.html">Full Index</a></li>
</ul>
</div>

<a name="cp-menu" /><div class="menutitle"><div>
  <h2 id="cp-menu-project">Modules</h2>
</div></div>
<div class="nav_list">
<ul>
<li><a href="../akonadi/index.html">akonadi</a></li>
<li><a href="../dnssd/index.html">dnssd</a></li>
<li><a href="../kdecore/index.html">kdecore</a></li>
<li><a href="../kdeui/index.html">kdeui</a></li>
<li><a href="../khtml/index.html">khtml</a></li>
<li><a href="../kio/index.html">kio</a></li>
<li><a href="../knewstuff/index.html">knewstuff</a></li>
<li><a href="../kparts/index.html">kparts</a></li>
<li><a href="../kutils/index.html">kutils</a></li>
<li><a href="../nepomuk/index.html">nepomuk</a></li>
<li><a href="../phonon/index.html">phonon</a></li><li><a href="../plasma/index.html">plasma</a></li>
<li><a href="../solid/index.html">solid</a></li>
<li><a href="../soprano/index.html">soprano</a></li>
</ul></div></div>

</div>

</div>
  <div class="clearer"/>
</div>

<div id="end_body"></div>
</div>
<div id="footer"><div id="footer_text">
This documentation is maintained by <a href="&#109;&#97;&#105;&#108;&#116;&#111;&#58;simon&#64;simonzone&#46;com">Simon Edwards</a>.<br />
        KDE<sup>&#174;</sup> and <a href="../images/kde_gear_black.png">the K Desktop Environment<sup>&#174;</sup> logo</a> are registered trademarks of <a href="http://ev.kde.org/" title="Homepage of the KDE non-profit Organization">KDE e.V.</a> |
        <a href="http://www.kde.org/contact/impressum.php">Legal</a>
    </div></div>
</body>
</html>
